Image 01
profile-image

SteffenAC

Steffen Offermann
System Software
test
KYum

System Software 61 comments

Score 50.0%
Jul 24 2005
The current version is 0.7.5-3, but there is a later version in the CVS repository.

Unfortunately I have not yet found time to continue working at kyum since that release.

Regards,
Steffen O. - May 28 2006
My apologies for slow replies. I check this site very seldomly.

It's probably a bug. Which version of kyum are you working with? Have you tried the CVS version from the sourceforge site?

Regards,
Steffen - Dec 09 2005
You can make your own RPM for FC3 from the Source RPM available at sourceforge. I cannot do that for you since I don't have FC3 on my system. - Aug 29 2005
I'll probably make that configurable in one of the next releases. Thank you for your suggestion! - Jul 21 2005
I don't check this site regularly, so it may be better to report bugs to my e-mail address.

Thank you for reporting anyway. I had this peculiar "cannot find DlgInfo.moc" error, too, but when I ran rpmbuild a second time, the error had disappeared (that's why I could finally build the rpm).

The Makefile.in is auto-generated by KDevelop.

The "problem" with the resizable dialogs is well-known. I wanted to make them resizable, but I could not find a way how to do that with the GUI designer. I'll probably have to do it by hand. That's an issue for version 1.0, I guess. ;-)

I'll fix the "clean all" bug (if it is one) soon.

Regards,
Steffen - Jul 13 2005
Yes, I'd like to thank J. Schmitt for that.

Have you had success with your yum feature request regarding the "installed version" information, btw? I've thought about it again and my conclusion is, that this can only be done by yum itself, not by kyum, since the necessary information is not available. - Jun 18 2005
You mean the current version, I suppose.

Yes, this has already been requested. I think it could be done with some effort, but in my opinion this should rather be a feature of yum itself.

Anyway, I'll think about it, if time allows.

Thank you for your suggestion. - Jun 03 2005
Yes, thank you. There was a typo in the address. Fixed now. - Jun 03 2005
Sorry, it should be
gpgkey=http://rpm.livna.org/RPM-LIVNA-GPG-KEY - May 09 2005
This is not really kyum-related (the message comes from yum), but you can easily do the necessary configuration from there. Just enter the path to the gpg key in the "more options"-field of the repository, e.g.
gpgkey=http://gpgkey=http://rpm.livna.org/RPM-LIVNA-GPG-KEY

The path and name of the gpg key is not standardized, so you'll have to get that information from the respective web sites.

Regards,
Steffen - May 09 2005
This is not really kyum-related (the message comes from yum), but you can easily do the necessary configuration from there. Just enter the path to the gpg key in the "more options"-field of the repository, e.g.
gpgkey=http://gpgkey=http://rpm.livna.org/RPM-LIVNA-GPG-KEY

The path and name of the gpg key is not standardized, so you'll have to get that information from the respective web sites.

Regards,
Steffen - May 09 2005
Would you please send me the debug trace that is produced when the program crashes? And which version of qt do you have?

Please contact me using the e-mail address from the changelog file.

Thank you,
Steffen - May 04 2005
I'll check that later, when time allows. Thank you for reporting the problem. However, it works under Fedora Core 3. - May 04 2005
Either install the *.rpm using the command "rpm -ihv kyum-0.6.1-1.i386.rpm", or extract the source and compile it yourself. In the latter case you'll have to type "./configure" inside the directory kyum-0.6.1 and then "make install" to build the program. You need to be root to install programs, so first type "su" and enter the root password.

If you are upgrading, i.e. you have an older version of kyum installed, use "rpm -Uhv" instead of "rpm -ihv".

You'll find the installed application somewhere in your KDE system menu. - May 02 2005
I'am afraid this information is not available. This is a feature that yum does not support. The only possible workaround would be to run "yum list installed" and then "yum list updates" to get all the desired information, but since yum is so slow already, this would - in my opinion - be rather annoying than helpful.

Maybe the yum programmers should be asked to add this feature in future versions of yum. - Apr 17 2005
Of course, I meant to say "configuration sets". - Apr 16 2005
Even with your yum.conf and after deleting my repo files I could not make kyum crash. Maybe it depends on your version of KDE or Qt, or whatever.

But as Roland (liquidat) said: kyum expects the newer version of yum with repo files. Maybe I should extend its abilities to recognize repos defined in yum.conf, too.

Please be aware, that with kyum you cannot use comments in your configuration files - they will not be preserved when the files are saved. Instead of using comments, kyum offers the (much more useful) possibility of defining profiles for different configuration settings.

Regards,
Steffen - Apr 16 2005
I don't know exactly when yum changed its configuration file format, but this is a dependency that should then definitely be included in the RPM. - Apr 15 2005
Since the application crashes when your yum configuration is loaded: Could you send me your yum.conf and *.repo files? - Apr 15 2005
Did you try the supplied RPM, or did you compile yourself? The RPM was built on a FC3 system with a 2.6.11.6 kernel, KDE 3.4, yum 2.2.0, gcc 3.4.3, Qt 3.3.4.

I have never seen kyum crash, although I use it a lot - and after a first quick look at your backlog and the source, I cannot find an obvious error.

Would updating Qt be an option for you? Altgough, of course, I cannot promise that it will help.

Regards,
Steffen - Apr 15 2005
You can download an SRPM from http://www-users.rwth-aachen.de/Steffen.Offermann/Download/kyum-0.5.1-0.1.src.rpm.

The SPEC was mainly written by R. Wolters.

Regards,
Steffen - Apr 15 2005
If I recall correctly, I built it using -bb. I must admit that this was my first RPM ever, but it seems to work on other computers. What error exactly was produced on yours? - Apr 06 2005
I don't know much about apt myself, but I already considered that. I guess it could be done, although currently I cannot afford to spend much time on kyum.

Give me a month or two. Hopefully I'll have a little more time for improvements and enhancements then.

Thanks for the suggestion anyway. - Apr 04 2005
Thanks for the rpm!

Yes, you're right, the displayed information should be more precise. But that's only one of many topics to be adressed. I hope I'll eventually find time to improve kyum. Until now I've only spent three or four days of work on it. - Mar 25 2005
Kniga

Office Apps 20 comments

Score 50.0%
Apr 12 2005
Kniga is the russian translation of "book". - Mar 31 2005